<?php
/*
Plugin Name: coComment Enhancer
Plugin URI: http://www.andare.ch/blog/kat/WordPress
Description: Simply inserts the needed javascript to improve interaction with cocomment.com of your Wordpress blog
Author: David Reindl
Version: 0.6
*/

function insert_coComment_js () {
	global $user_ID, $user_identity;
	echo "\n"
	. "<!-- Script snippet to improve interaction with cocomment.com -->\n"
	. "<script type=\"text/javascript\">\n"
	. "var blogTool               = \"WordPress\";\n"
	. "var blogURL                = \"";
	echo get_option('siteurl');
	echo "\";\n"
	. "var blogTitle              = \"";
	bloginfo('name');
	echo "\";\n"
	. "var postURL                = \"";
	the_permalink();
	echo "\";\n"
	. "var postTitle              = \"";
	the_title();
	echo "\";\n";
	if ( $user_ID ) {
		echo "var commentAuthor          = \"";
		echo $user_identity;
		echo "\";\n";
	} else {
		echo "var commentAuthorFieldName = \"author\";\n";
	}
	echo "var commentAuthorLoggedIn  = ";
	if ( !$user_ID ) { echo "false"; }
	else { echo "true"; };
	echo ";\n";
	echo "var commentFormID          = \"commentform\";\n";
	echo "var commentTextFieldName   = \"comment\";\n";
	echo "var commentButtonName      = \"submit\";\n";
	echo "var cocomment_force = false;\n";
	echo "\n";
	echo "</script>\n";
	echo "\n"
	. "<script type=\"text/javascript\" src=\"http://www.cocomment.com/js/cocomment.js\" ></script>\n";
}

add_action('comment_form', 'insert_coComment_js');
